episodebynumber: Get episode by season/number

API: tvmaze.com:tvmaze-api
Endpoint: /shows/{id}/episodebynumber
Response format: application/json
Auth: unknown
Method: GET

Description

Retrieve one specific episode from a show by season and episode number.

Parameters (3)

id (integer, path, required)

TVmaze show ID

number (integer, query, required)

Episode number within the season

season (integer, query, required)

Season number

Examples (1)

Get episode by season/number openapi-spec
curl 'https://api.tvmaze.com/shows/{id}/episodebynumber?season=1&number=1'
import requests

resp = requests.get(
    "https://api.tvmaze.com/shows/{id}/episodebynumber",
    params={
        'season': '1',
        'number': '1',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("shows/{id}/episodebynumber", season=1, number=1)

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/shows/{id}/episodebynumber?season=1&number=1");
const data = await resp.json();

No probe data for this endpoint yet.